Build docs with Python 3 only, not with Python 2.7

Description

let me know if you're not the correct assignee.

The doc team is upgrading to Sphinx 2.3.1 to make use of the newer extensions supported in that version. Sphinx 2 does not support Python 2.7, though, and this caused nightly builds to fail because the builds use Python 2.7.

Can we use separate Python environments for testing and for building the docs?

Note that the doc changes were made in master, so this will be needed for the next major release. The following commits reverted all of the doc changes so that nightlies would run.

Assignee

Jan Sterba

Fix versions

Reporter

Angela Bartz

Support ticket URL

None

Labels

None

Affected Spark version

None

Customer Request Type

None

Task progress

None

CustomerVisible

No

Priority

Critical
Configure